package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.BisHazMajRegWritMapper;
import com.goldenwater.slaj.hazard.domain.BisHazMajRegWrit;
import com.goldenwater.slaj.hazard.service.IBisHazMajRegWritService;

/**
 * 重大危险源备案核销 服务层实现
 */
@Service
public class BisHazMajRegWritServiceImpl implements IBisHazMajRegWritService {

    @Autowired
    private BisHazMajRegWritMapper bisHazMajRegWritMapper;

    /**
     * 查询重大危险源备案核销信息
     * @param guid 查询条件
     * @return 重大危险源备案核销信息
     */
    @Override
    public BisHazMajRegWrit selectBisHazMajRegWritByGuid(String guid) {
        return bisHazMajRegWritMapper.selectBisHazMajRegWritByGuid(guid);
    }

    /**
     * 查询重大危险源备案核销列表
     * @param bisHazMajRegWrit 重大危险源备案核销查询条件
     * @return 重大危险源备案核销集合
     */
    @Override
    public List<BisHazMajRegWrit> selectBisHazMajRegWritList(BisHazMajRegWrit bisHazMajRegWrit) {
        return bisHazMajRegWritMapper.selectBisHazMajRegWritList(bisHazMajRegWrit);
    }

    /**
     * 新增重大危险源备案核销
     * @param bisHazMajRegWrit 重大危险源备案核销信息
     * @return 影响行数
     */
    @Override
    public int insertBisHazMajRegWrit(BisHazMajRegWrit bisHazMajRegWrit) {
        return bisHazMajRegWritMapper.insertBisHazMajRegWrit(bisHazMajRegWrit);
    }

    /**
     * 修改重大危险源备案核销
     * @param bisHazMajRegWrit 重大危险源备案核销信息
     * @return 影响行数
     */
    @Override
    public int updateBisHazMajRegWrit(BisHazMajRegWrit bisHazMajRegWrit) {
        return bisHazMajRegWritMapper.updateBisHazMajRegWrit(bisHazMajRegWrit);
    }

    /**
     * 删除重大危险源备案核销
     * @param guid 重大危险源备案核销主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHazMajRegWritByGuid(String guid) {
        return bisHazMajRegWritMapper.deleteBisHazMajRegWritByGuid(guid);
    }

    /**
     * 批量删除重大危险源备案核销
     * @param guids 重大危险源备案核销主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHazMajRegWritByGuids(String[] guids) {
        return bisHazMajRegWritMapper.deleteBisHazMajRegWritByGuids(guids);
    }
}
